Can not install grub-doc

Bug #493968 reported by LimCore on 2009-12-08
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
grub (Ubuntu)
Medium
Colin Watson
grub2 (Ubuntu)
Medium
Colin Watson

Bug Description

Binary package hint: grub

Installing grub-doc removes grub and installs lilo... wtf?

aptitude install grub-doc
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages are BROKEN:
  grub-common
The following NEW packages will be installed:
  grub-doc
The following packages will be REMOVED:
  libdns50{u}
0 packages upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 285kB of archives. After unpacking 942kB will be used.
The following packages have unmet dependencies:
  grub-common: Conflicts: grub-doc (< 0.97-32) but 0.97-29ubuntu59 is to be installed.
The following actions will resolve these dependencies:

Remove the following packages:
grub-common
grub-pc
grub2

Install the following packages:
lilo [1:22.8-8ubuntu1 (karmic)]
mbr [1.1.10-2 (karmic)]

ProblemType: Bug
Architecture: amd64
Date: Tue Dec 8 10:36:33 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: grub (not installed)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.52-generic
SourcePackage: grub
Uname: Linux 2.6.31-16-generic x86_64

LimCore (limcore) wrote :
Steve Langasek (vorlon) wrote :

Needs to be fixed in grub-cmmon, the package doing the conflicting here.

affects: grub (Ubuntu) → grub2 (Ubuntu)
Colin Watson (cjwatson) wrote :

We need to backport a change from Debian's grub package to make this work.

Changed in grub2 (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in grub (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Colin Watson (cjwatson)
Changed in grub2 (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Changed in grub (Ubuntu):
status: Triaged → Fix Committed
Changed in grub2 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub - 0.97-29ubuntu60

---------------
grub (0.97-29ubuntu60) lucid; urgency=low

  * Backport from Debian 0.97-32 (we should really merge this properly!):
    [ Robert Millan ]
    - Split grub-doc in multiboot-doc and grub-legacy-doc (LP: #493968).
    ... and from Debian 0.97-59:
    - Rename grub.info to grub-legacy.info to avoid conflict with upcoming
      GRUB 2 manual.
 -- Colin Watson <email address hidden> Fri, 26 Feb 2010 09:54:04 +0000

Changed in grub (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 1.98~20100128-1ubuntu4

---------------
grub2 (1.98~20100128-1ubuntu4) lucid; urgency=low

  [ Colin Watson ]
  * Update DM-RAID probing patch, removing some configure.ac cruft.
  * Add patch from Colin King to shave eight bytes off the
    pre-partition-table part of boot.img.
  * Don't display "GRUB loading" unless Shift is held down.
  * Use light-gray as the default background for highlighted menu entries;
    white is not safe because some systems interpret the top bit as blink
    (thanks, proski; LP: #527334).
  * Adjust versions of grub-doc and grub-legacy-doc conflicts to tolerate
    our backport of the grub-doc split (LP: #493968).
  * Optimise hostdisk device handling, substantially speeding up grub-probe
    filesystem reads (LP: #425650).
 -- Colin Watson <email address hidden> Wed, 03 Mar 2010 20:33:03 +0000

Changed in grub2 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers